# The Python templates in /usr/share/anjuta/project can not be byte-compiled.
%global _python_bytecompile_extra 0

%define url_ver     %(echo %{version}|cut -d. -f1,2)

%define major       0
%define api         3
%define gi_major    3.0

%define libname     %mklibname %{name} %{api} %{major}
%define libnamedev  %mklibname %{name} %{api} -d
%define girname     %mklibname %{name}-gir %{gi_major}

Summary:        Integrated development environment for C and C++ (Linux)
Name:           anjuta
Version:        3.34.0
Release:        %mkrel 6
License:        GPLv2+
Group:          Development/Tools
URL:            http://anjuta.sourceforge.net/
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		intltool.patch
Patch1:		python3.8.patch
BuildRequires:  pkgconfig(apr-1)
BuildRequires:  pkgconfig(apr-util-1)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0) >= 2.0.0
BuildRequires:  pkgconfig(gdl-3.0) >= 3.5.5
BuildRequires:  pkgconfig(gio-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gjs-1.0)
BuildRequires:  pkgconfig(gladeui-2.0) >= 3.12.0
BuildRequires:  pkgconfig(glib-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gmodule-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gthread-2.0) >= 2.22.0
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.4.0
BuildRequires:  pkgconfig(gtksourceview-3.0) >= 3.0.0
BuildRequires:  pkgconfig(libdevhelp-3.0) >= 3.7.4
BuildRequires:  pkgconfig(libgda-5.0) >= 5.0.0
BuildRequires:  pkgconfig(libgvc) >= 1.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.4.23
BuildRequires:  pkgconfig(neon) >= 0.28.2
BuildRequires:  pkgconfig(vte-2.91)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  subversion-devel >= 1.5.0
BuildRequires:  pkgconfig(python3)
BuildRequires:  autogen
BuildRequires:  gnome-common
BuildRequires:  gettext-devel
BuildRequires:  intltool
BuildRequires:  gtk-doc >= 1.0
BuildRequires:  itstool
BuildRequires:  yelp-tools
BuildRequires:  libxml2-utils
BuildRequires:  pkgconfig(gobject-introspection-1.0)
BuildRequires:  imagemagick
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  pkgconfig(vapigen)
BuildRequires:  desktop-file-utils

Requires:       autogen
Requires:       python3dist(rope)
Requires:       python3dist(pygobject)

%description
Anjuta DevStudio is a versatile Integrated Development Environment (IDE)
for the GNOME Desktop Environment and features a number of advanced
programming facilities. These include project management, application and
class wizards, an on-board interactive debugger, powerful source editor,
syntax highlighting, intellisense auto-completions, symbol navigation,
version controls, integrated GUI designing and other tools.

%package -n %{libname}
Summary:        Anjuta libraries
Group:          System/Libraries
Conflicts:      %{mklibname %{name} 0} < 3.1.3

%description -n %{libname}
Anjuta libraries.

%package -n %{libnamedev}
Summary:        Anjuta devel files
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{mklibname -d %{name}} = %{version}-%{release}
Obsoletes:      %{mklibname -d %{name}} < %{version}-%{release}

%description -n %{libnamedev}
Anjuta devel files.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries
Requires:       %{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi

export PYTHON=%{__python3}
%configure \
    --disable-static \
    --enable-introspection=yes
%make_build

%install
%make_install

desktop-file-install --vendor="" \
  --remove-key='Encoding' \
  --add-category="IDE" \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/*

%find_lang %{name} --with-gnome --all-name

#we don't want these
find %{buildroot} -name "*.la" -delete

#let files section handle docs
rm -fr %{buildroot}%{_docdir}/%{name}

%files -f %{name}.lang
%{_bindir}/*
%{_libdir}/%{name}
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/mimetypes/*
%{_mandir}/man1/%{name}*.1*
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/anjuta.xml
%{_datadir}/pixmaps/%{name}
%{_datadir}/icons/*/*/apps/*

%files -n %{libname}
%{_libdir}/lib%{name}-%{api}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Anjuta-%{gi_major}.typelib
%{_libdir}/girepository-1.0/IAnjuta-%{gi_major}.typelib

%files -n %libnamedev
%doc %{_datadir}/gtk-doc/html/lib%{name}
%{_libdir}/lib%{name}-%{api}.so
%{_includedir}/lib%{name}-3.0
%{_libdir}/pkgconfig/lib%{name}-3.0.pc
%{_datadir}/gir-1.0/Anjuta-%{gi_major}.gir
%{_datadir}/gir-1.0/IAnjuta-%{gi_major}.gir


%changelog
* Sat Sep 26 2020 tv <tv> 3.34.0-6.mga8
+ Revision: 1630180
- rebuild for new libgladeui

* Thu May 07 2020 daviddavid <daviddavid> 3.34.0-5.mga8
+ Revision: 1581422
- rebuild for new glade 3.36.0

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-4.mga8
+ Revision: 1533264
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 20 2019 daviddavid <daviddavid> 3.34.0-3.mga8
+ Revision: 1444023
- rebuild for new devhelp

* Mon Sep 09 2019 wally <wally> 3.34.0-2.mga8
+ Revision: 1438912
- rebuild for python3.8

* Mon Sep 09 2019 daviddavid <daviddavid> 3.34.0-1.mga8
+ Revision: 1438614
- new version 3.34.0

* Sun Sep 01 2019 daviddavid <daviddavid> 3.28.0-5.mga8
+ Revision: 1436135
- port to Python 3

* Thu Mar 14 2019 daviddavid <daviddavid> 3.28.0-4.mga7
+ Revision: 1376048
- rebuild for new vala 0.44.0

* Fri Sep 21 2018 umeabot <umeabot> 3.28.0-3.mga7
+ Revision: 1294334
- Mageia 7 Mass Rebuild

* Sat Aug 18 2018 daviddavid <daviddavid> 3.28.0-2.mga7
+ Revision: 1252472
- rebuild for new devhelp 3.30.0

* Wed Mar 14 2018 shlomif <shlomif> 3.28.0-1.mga7
+ Revision: 1209443
- New version 3.28.0

* Wed Feb 28 2018 ovitters <ovitters> 3.26.0-2.mga7
+ Revision: 1205820
- rebuild for devhelp

* Sun Oct 01 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1162088
- new release
+ daviddavid <daviddavid>
- rebuild for new devhelp 3.26.0

* Mon Sep 11 2017 cjw <cjw> 3.22.0-4.mga7
+ Revision: 1152780
- rebuild for new find_lang

* Sun Jun 04 2017 akien <akien> 3.22.0-3.mga6
+ Revision: 1106484
- Rebuild for devhelp 3.24.0

* Mon Sep 26 2016 tv <tv> 3.22.0-2.mga6
+ Revision: 1056878
- rebuild with fixed rpm-mageia-setup for missing generating typelib() requires (mga#19454)

* Sun Sep 25 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1056071
- new version 3.22.0

* Sat Sep 24 2016 ovitters <ovitters> 3.20.0-2.mga6
+ Revision: 1055824
- rebuild to pay tribute to new vala

* Sat Mar 19 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993000
- new version 3.20.0

* Sat Feb 13 2016 umeabot <umeabot> 3.18.2-2.mga6
+ Revision: 959514
- Mageia 6 Mass Rebuild

* Sat Nov 07 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 898472
- new version 3.18.2

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883006
- new release

* Sun Jun 28 2015 shlomif <shlomif> 3.16.0-1.mga6
+ Revision: 846977
- New version 3.16.0

* Fri Jun 26 2015 sander85 <sander85> 3.14.1-2.mga6
+ Revision: 844227
- Rebuild for new vala

* Sun Jan 25 2015 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 812214
- new version 3.14.1

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-3.mga5
+ Revision: 750599
- Second Mageia 5 Mass Rebuild

* Wed Oct 15 2014 fwang <fwang> 3.14.0-2.mga5
+ Revision: 750314
- rebuild for webkit2gtk

* Sun Sep 28 2014 ovitters <ovitters> 3.14.0-1.mga5
+ Revision: 731365
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-3.mga5
+ Revision: 686501
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 677762
- Mageia 5 Mass Rebuild

* Sun Sep 14 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 675454
- new version 3.13.92

* Sat Aug 23 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666733
- new version 3.13.90

* Tue Apr 29 2014 shlomif <shlomif> 3.13.1-1.mga5
+ Revision: 618862
- New version 3.13.1

* Tue Mar 25 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608622
- new version 3.12.0

* Thu Mar 20 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 606275
- new version 3.11.92

* Tue Feb 25 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 596727
- new version 3.11.90

* Thu Feb 06 2014 dams <dams> 3.11.4-1.mga5
+ Revision: 584086
- new version 3.11.4

* Fri Nov 15 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 551448
- new version 3.10.2

* Sat Nov 02 2013 fwang <fwang> 3.10.0-4.mga4
+ Revision: 548851
- add requires on python-gi

* Tue Oct 22 2013 umeabot <umeabot> 3.10.0-3.mga4
+ Revision: 546182
- Mageia 4 Mass Rebuild

* Thu Oct 17 2013 philippem <philippem> 3.10.0-2.mga4
+ Revision: 502251
- The Python templates in /usr/share/anjuta/project can not be byte-compiled

* Tue Sep 24 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484578
- new version 3.10.0

* Mon Sep 16 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480256
- new version 3.9.92

* Tue Sep 03 2013 fwang <fwang> 3.9.91-2.mga4
+ Revision: 474570
- rebuild for new glade

* Mon Sep 02 2013 ovitters <ovitters> 3.9.91-1.mga4
+ Revision: 474242
- new version 3.9.91

* Tue Aug 27 2013 dams <dams> 3.9.90-1.mga4
+ Revision: 472236
- new version 3.9.90
+ fwang <fwang>
- br gjs1.0

* Sun Aug 04 2013 fwang <fwang> 3.9.5-2.mga4
+ Revision: 463217
- br yelp-tools
- fix build with recent vala

* Mon Jul 29 2013 ovitters <ovitters> 3.9.5-1.mga4
+ Revision: 460679
- new version 3.9.5

* Sun Jul 28 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 459194
- new version 3.9.4

* Mon Jun 03 2013 ovitters <ovitters> 3.8.4-1.mga4
+ Revision: 436812
- new version 3.8.4

* Mon May 27 2013 fwang <fwang> 3.8.3-2.mga4
+ Revision: 428682
- cleanup br

* Fri May 24 2013 shlomif <shlomif> 3.8.3-1.mga4
+ Revision: 426409
- Spelling corrections
- Convert tabs to spaces
- New version 3.8.3

* Fri Jan 11 2013 umeabot <umeabot> 3.6.2-2.mga3
+ Revision: 345561
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 13 2012 fwang <fwang> 3.6.2-1.mga3
+ Revision: 317300
- new version 3.6.2

* Fri Oct 19 2012 ovitters <ovitters> 3.6.1-1.mga3
+ Revision: 308067
- new version 3.6.1

* Wed Oct 03 2012 malo <malo> 3.6.0-2.mga3
+ Revision: 302638
- update RPM group

* Thu Sep 27 2012 fwang <fwang> 3.6.0-1.mga3
+ Revision: 298587
- br istool
+ ovitters <ovitters>
- new version 3.6.0

* Wed Sep 19 2012 fwang <fwang> 3.5.91-5.mga3
+ Revision: 296256
- rebuild for new glade

* Sun Sep 16 2012 fwang <fwang> 3.5.91-4.mga3
+ Revision: 294336
- br python for python plugin loader

* Sun Sep 16 2012 fwang <fwang> 3.5.91-3.mga3
+ Revision: 294330
- build with gda 5.0

* Thu Sep 06 2012 fwang <fwang> 3.5.91-2.mga3
+ Revision: 288729
- rebuild for new gdl

* Mon Sep 03 2012 ovitters <ovitters> 3.5.91-1.mga3
+ Revision: 287671
- new version 3.5.91

* Mon Aug 06 2012 ovitters <ovitters> 3.5.5-1.mga3
+ Revision: 279520
- new version 3.5.5

* Fri Jul 27 2012 fwang <fwang> 3.5.4-2.mga3
+ Revision: 274897
- reubild for new gdl

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271543
- new version 3.5.4

* Sun Jul 15 2012 wally <wally> 3.5.3-2.mga3
+ Revision: 271105
- rebuild for new gdl

* Mon Jun 25 2012 ovitters <ovitters> 3.5.3-1.mga3
+ Revision: 263701
- new version 3.5.3

* Tue Jun 05 2012 obgr_seneca <obgr_seneca> 3.5.1-1.mga3
+ Revision: 255801
- New version 3.5.1

* Mon May 21 2012 ovitters <ovitters> 3.4.3-1.mga3
+ Revision: 236000
- new version 3.4.3
- new version 3.4.2
- new version 3.4.1

* Sun Apr 22 2012 ovitters <ovitters> 3.4.0-3.mga2
+ Revision: 232673
- rebuild for new gdl

* Sun Apr 01 2012 fwang <fwang> 3.4.0-2.mga2
+ Revision: 227724
- rebuild for new gdl

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226853
- new version 3.4.0

* Tue Mar 20 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 225128
- new version 3.3.92

* Tue Mar 06 2012 fwang <fwang> 3.3.91-1.mga2
+ Revision: 220292
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211368
- there are still build errors for newer vala
- fix typo
- drop merged patches

* Sat Jan 28 2012 fwang <fwang> 3.3.4-2.mga2
+ Revision: 202418
- really disable vala
- disable vala support, as it is not ready for vala 0.16
- fix parameters
- fix build with latest vala

* Mon Jan 16 2012 ovitters <ovitters> 3.3.4-1.mga2
+ Revision: 197025
- new version

* Wed Dec 21 2011 fwang <fwang> 3.3.3-1.mga2
+ Revision: 185349
- apply link patch
- br gettext-devel
- fix linkage
- new version 3.3.3

* Sat Nov 26 2011 fwang <fwang> 3.3.2-1.mga2
+ Revision: 172016
- more missing files
- add missing files
- add more br
- new version 3.3.2

* Fri Oct 28 2011 fwang <fwang> 3.3.1-2.mga2
+ Revision: 159174
- rebuild for new gdl
+ obgr_seneca <obgr_seneca>
- Fixed source url

* Thu Oct 27 2011 obgr_seneca <obgr_seneca> 3.3.1-1.mga2
+ Revision: 158586
- new version 3.3.1

* Fri Oct 21 2011 obgr_seneca <obgr_seneca> 3.2.1-1.mga2
+ Revision: 157187
- new version 3.2.1

* Sun Sep 25 2011 wally <wally> 3.2.0-1.mga2
+ Revision: 147737
- new version 3.2.0

* Sun Sep 18 2011 fwang <fwang> 3.1.92-1.mga2
+ Revision: 145094
- new version 3.1.92

* Tue Sep 06 2011 tv <tv> 3.1.91-1.mga2
+ Revision: 139154
- new release

* Mon Aug 29 2011 fwang <fwang> 3.1.90-1.mga2
+ Revision: 136187
- add more br
- new version 3.1.90
- new version 3.1.5
+ wally <wally>
- fix glade BR
- new version 3.1.4
- drop unneeded P1
- fix obsoletes

* Sat Jul 09 2011 wally <wally> 3.1.3-1.mga2
+ Revision: 121384
- new version 3.1.3
- add patch to build with vala0.14
- fix libification
- clean .spec a bit

* Tue Jun 21 2011 fwang <fwang> 3.0.3.0-1.mga2
+ Revision: 111138
- drop old patches and suggests
- update fiel list
- update file list
- more format fix
- fix string format
- bump br
- tweak br
- new version 3.0.3.0
+ dmorgan <dmorgan>
- Fix file list

* Mon Jun 20 2011 dmorgan <dmorgan> 2.32.1.1-6.mga2
+ Revision: 110491
- Disable vala
- Rebuild against new webkit

* Wed Apr 06 2011 tv <tv> 2.32.1.1-5.mga1
+ Revision: 81542
- patch 2: fix building with new vala
- rebuild for new vala
+ dmorgan <dmorgan>
- Rebuild against new vala

* Thu Mar 24 2011 boklm <boklm> 2.32.1.1-3.mga1
+ Revision: 76128
- rebuild for bug #497

* Mon Mar 21 2011 obgr_seneca <obgr_seneca> 2.32.1.1-2.mga1
+ Revision: 75307
- added missing buildrequire for libGConf2-devel
- added require for python-rope to have python auto completion
- imported package anjuta

